
package com.tmerclub.cloud.delivery.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serializable;

/**
 * 网点配置
 *
 * @author TRACK
 * @date 2023-08-23 14:48:23
 */
public class OutletConfig extends BaseModel implements Serializable{
    private static final long serialVersionUID = 1L;

    /**
     * 网点配置id
     */
    private Long outletConfigId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 供应商id
     */
    private Long supplierId;

    /**
     * 快递公司类型
     */
    private Integer deliveryCompanyType;

    /**
     * 发货人
     */
    private String shipper;

    /**
     * 发货人电话
     */
    private String mobile;

    /**
     * 电子面单客户账户或月结账号
     */
    private String partnerId;

    /**
     * 电子面单密码
     */
    private String partnerKey;

    /**
     * 收件网点名称
     */
    private String net;

    /**
     * 纸张规格 1.一联面单 2.二联面单
     */
    private Integer paperSize;

    /**
     * 是否默认 0否1是
     */
    private Integer isDefault;

    /**
     * 发货地址
     */
    private String printAddr;

    /**
     * 发货地址id
     */
    private Long shopAddrId;

    public Long getOutletConfigId() {
        return outletConfigId;
    }

    public void setOutletConfigId(Long outletConfigId) {
        this.outletConfigId = outletConfigId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public Integer getDeliveryCompanyType() {
        return deliveryCompanyType;
    }

    public void setDeliveryCompanyType(Integer deliveryCompanyType) {
        this.deliveryCompanyType = deliveryCompanyType;
    }

    public String getShipper() {
        return shipper;
    }

    public void setShipper(String shipper) {
        this.shipper = shipper;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getPartnerId() {
        return partnerId;
    }

    public void setPartnerId(String partnerId) {
        this.partnerId = partnerId;
    }

    public String getPartnerKey() {
        return partnerKey;
    }

    public void setPartnerKey(String partnerKey) {
        this.partnerKey = partnerKey;
    }

    public String getNet() {
        return net;
    }

    public void setNet(String net) {
        this.net = net;
    }

    public Integer getPaperSize() {
        return paperSize;
    }

    public void setPaperSize(Integer paperSize) {
        this.paperSize = paperSize;
    }

    public Integer getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(Integer isDefault) {
        this.isDefault = isDefault;
    }

    public String getPrintAddr() {
        return printAddr;
    }

    public void setPrintAddr(String printAddr) {
        this.printAddr = printAddr;
    }

    public Long getShopAddrId() {
        return shopAddrId;
    }

    public void setShopAddrId(Long shopAddrId) {
        this.shopAddrId = shopAddrId;
    }

    @Override
    public String toString() {
        return "OutletConfig{" +
                "outletConfigId=" + outletConfigId +
                ", shopId=" + shopId +
                ", supplierId=" + supplierId +
                ", deliveryCompanyType=" + deliveryCompanyType +
                ", shipper='" + shipper + '\'' +
                ", mobile='" + mobile + '\'' +
                ", partnerId='" + partnerId + '\'' +
                ", partnerKey='" + partnerKey + '\'' +
                ", net='" + net + '\'' +
                ", paperSize=" + paperSize +
                ", isDefault=" + isDefault +
                ", printAddr='" + printAddr + '\'' +
                ", shopAddrId=" + shopAddrId +
                '}';
    }
}
